Skip to main content
GET
/
api
/
v2
/
announcements
Get announcements
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/announcements \
  --header 'Authorization: <api-key>'
{
  "_links": {
    "next": {
      "href": "href",
      "type": "type"
    },
    "last": {
      "href": "href",
      "type": "type"
    },
    "prev": {
      "href": "href",
      "type": "type"
    },
    "self": {
      "href": "href",
      "type": "type"
    },
    "first": {
      "href": "href",
      "type": "type"
    }
  },
  "items": [
    {
      "severity": "info",
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "_links": {
        "parent": {
          "href": "href",
          "type": "type"
        }
      },
      "startTime": 1731439812,
      "_id": "1234567890",
      "isDismissible": true,
      "endTime": 1731439880,
      "title": "System Maintenance Notice",
      "message": "**Important Update:**\n\nPlease be aware of the upcoming maintenance scheduled for *October 31st, 2024*. The system will be unavailable from **12:00 AM** to **4:00 AM**.",
      "_status": "active"
    },
    {
      "severity": "info",
      "_access": {
        "allowed": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ],
        "denied": [
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          },
          {
            "reason": {
              "role_name": "role_name",
              "notActions": [
                null,
                null
              ],
              "notResources": [
                "notResources",
                "notResources"
              ],
              "effect": "allow",
              "resources": [
                "proj/*:env/*;qa_*:/flag/*"
              ],
              "actions": [
                "*"
              ]
            },
            "action": "action"
          }
        ]
      },
      "_links": {
        "parent": {
          "href": "href",
          "type": "type"
        }
      },
      "startTime": 1731439812,
      "_id": "1234567890",
      "isDismissible": true,
      "endTime": 1731439880,
      "title": "System Maintenance Notice",
      "message": "**Important Update:**\n\nPlease be aware of the upcoming maintenance scheduled for *October 31st, 2024*. The system will be unavailable from **12:00 AM** to **4:00 AM**.",
      "_status": "active"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

status
enum<string>

Filter announcements by status.

Available options:
active,
inactive,
scheduled
limit
integer

The number of announcements to return.

offset
integer

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Announcement response

items
object[]
required
Example:
{
"next": { "href": "href", "type": "type" },
"last": { "href": "href", "type": "type" },
"prev": { "href": "href", "type": "type" },
"self": { "href": "href", "type": "type" },
"first": { "href": "href", "type": "type" }
}